path: /build/build/c-blosc-dev-libs-1.21.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="lz4 snappy zlib zstd" emerge dev-libs/c-blosc -pv -t && \
    USE="lz4 snappy zlib zstd" emerge -j ${JOBS} --nodeps dev-libs/c-blosc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/c-blosc && luet-portage --dir /pkgdir/c-blosc
    dev-libs/c-blosc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b56183dd9759dc62b53c18dcb292445f5ef627d76f977e67ca9f773d2b03d6da
  package:
    name: c-blosc
    version: 1.21.5
    category: dev-libs
    use_flags:
    - lz4
    - snappy
    - zlib
    - zstd
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Blocking, shuffling and lossless compression library
    uri:
    - https://www.blosc.org/
    license: MIT
    buildtimestamp: 2023-12-08 21:56:30.632881662 +0000 UTC m=+245.085339455
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: lz4? ( >=app-arch/lz4-1.7.5:= ) snappy? ( app-arch/snappy ) zlib? (
        sys-libs/zlib ) zstd? ( app-arch/zstd )
      IUSE: +lz4 +snappy test zlib zstd
      RDEPEND: lz4? ( >=app-arch/lz4-1.7.5:= ) snappy? ( app-arch/snappy ) zlib? (
        sys-libs/zlib ) zstd? ( app-arch/zstd )
      emerge.packages: dev-libs/c-blosc
      kit: dev-kit
      original.package.name: dev-libs/c-blosc
      original.package.slot: "0"
      original.package.version: 1.21.5
    treedir: /build/packages
  package_dir: /pkgdir/c-blosc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7fdd18951e3d1886c92c1e0352af83ecc55d02a3151d1a05399430db383101ee
compressiontype: zstd
files:
- usr/include/blosc-export.h
- usr/include/blosc.h
- usr/lib64/libblosc.so
- usr/lib64/libblosc.so.1
- usr/lib64/libblosc.so.1.21.5
- usr/lib64/pkgconfig/blosc.pc
- usr/share/doc/c-blosc-1.21.5/README.md.bz2
- usr/share/doc/c-blosc-1.21.5/README_CHUNK_FORMAT.rst.bz2
- usr/share/doc/c-blosc-1.21.5/README_THREADED.rst.bz2
- var/db/pkg/dev-libs/c-blosc-1.21.5/BDEPEND
- var/db/pkg/dev-libs/c-blosc-1.21.5/BUILD_TIME
- var/db/pkg/dev-libs/c-blosc-1.21.5/CATEGORY
- var/db/pkg/dev-libs/c-blosc-1.21.5/CBUILD
- var/db/pkg/dev-libs/c-blosc-1.21.5/CFLAGS
- var/db/pkg/dev-libs/c-blosc-1.21.5/CHOST
- var/db/pkg/dev-libs/c-blosc-1.21.5/CONTENTS
- var/db/pkg/dev-libs/c-blosc-1.21.5/COUNTER
- var/db/pkg/dev-libs/c-blosc-1.21.5/CXXFLAGS
- var/db/pkg/dev-libs/c-blosc-1.21.5/DEFINED_PHASES
- var/db/pkg/dev-libs/c-blosc-1.21.5/DEPEND
- var/db/pkg/dev-libs/c-blosc-1.21.5/DESCRIPTION
- var/db/pkg/dev-libs/c-blosc-1.21.5/EAPI
- var/db/pkg/dev-libs/c-blosc-1.21.5/FEATURES
- var/db/pkg/dev-libs/c-blosc-1.21.5/HOMEPAGE
- var/db/pkg/dev-libs/c-blosc-1.21.5/INHERITED
- var/db/pkg/dev-libs/c-blosc-1.21.5/IUSE
- var/db/pkg/dev-libs/c-blosc-1.21.5/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/c-blosc-1.21.5/KEYWORDS
- var/db/pkg/dev-libs/c-blosc-1.21.5/LDFLAGS
- var/db/pkg/dev-libs/c-blosc-1.21.5/LICENSE
- var/db/pkg/dev-libs/c-blosc-1.21.5/NEEDED
- var/db/pkg/dev-libs/c-blosc-1.21.5/PF
- var/db/pkg/dev-libs/c-blosc-1.21.5/PROVIDES
- var/db/pkg/dev-libs/c-blosc-1.21.5/RDEPEND
- var/db/pkg/dev-libs/c-blosc-1.21.5/REQUIRES
- var/db/pkg/dev-libs/c-blosc-1.21.5/RESTRICT
- var/db/pkg/dev-libs/c-blosc-1.21.5/SIZE
- var/db/pkg/dev-libs/c-blosc-1.21.5/SLOT
- var/db/pkg/dev-libs/c-blosc-1.21.5/USE
- var/db/pkg/dev-libs/c-blosc-1.21.5/c-blosc-1.21.5.ebuild
- var/db/pkg/dev-libs/c-blosc-1.21.5/environment.bz2
- var/db/pkg/dev-libs/c-blosc-1.21.5/repository
package_cacheimage: ""
runtime:
  name: c-blosc
  version: 1.21.5
  category: dev-libs
  use_flags:
  - lz4
  - snappy
  - zlib
  - zstd
  requires:
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: snappy
    version: '>=0'
    category: app-arch
  - name: zstd
    version: '>=0'
    category: app-arch
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Blocking, shuffling and lossless compression library
  uri:
  - https://www.blosc.org/
  license: MIT
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: lz4? ( >=app-arch/lz4-1.7.5:= ) snappy? ( app-arch/snappy ) zlib? ( sys-libs/zlib
      ) zstd? ( app-arch/zstd )
    IUSE: +lz4 +snappy test zlib zstd
    RDEPEND: lz4? ( >=app-arch/lz4-1.7.5:= ) snappy? ( app-arch/snappy ) zlib? ( sys-libs/zlib
      ) zstd? ( app-arch/zstd )
    emerge.packages: dev-libs/c-blosc
    kit: dev-kit
    original.package.name: dev-libs/c-blosc
    original.package.slot: "0"
    original.package.version: 1.21.5
